This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 808435 - [abrt] gnome-shell-3.3.92-1.fc17: g_type_check_instance_cast: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.3.92-1.fc17: g_type_check_instance_cast: Process /usr/bi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:d99b91a0938f44dee9e24431569...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 07:26 EDT by Gökçen Eraslan
Modified: 2012-04-20 14:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-20 14:16:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (19.67 KB, text/plain)
2012-03-30 07:26 EDT, Gökçen Eraslan
no flags Details
File: var_log_messages (5.95 KB, text/plain)
2012-03-30 07:27 EDT, Gökçen Eraslan
no flags Details
File: maps (119.60 KB, text/plain)
2012-03-30 07:27 EDT, Gökçen Eraslan
no flags Details
File: backtrace (41.76 KB, text/plain)
2012-03-30 07:27 EDT, Gökçen Eraslan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 672775 None None None Never

  None (edit)
Description Gökçen Eraslan 2012-03-30 07:26:53 EDT
libreport version: 2.0.10
abrt_version:   2.0.9
backtrace_rating: 4
cmdline:        gnome-shell --sm-client-id 10ac2aef40d8d47c69133153466887358000000108940000
comment:        Tried to capture a screenshot using shift+printscreen, finished the selection in the right corner of the screen.
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gnome-shell
kernel:         3.3.0-5.fc17.x86_64
pid:            1074
pwd:            /home/gokcen
remote_result:  NOTFOUND
time:           Cum 30 Mar 2012 08:38:26 EEST
uid:            1000
username:       gokcen

backtrace:      Text file, 42762 bytes
dso_list:       Text file, 20137 bytes
maps:           Text file, 122467 bytes
var_log_messages: Text file, 6095 bytes

core_backtrace:
:afd73296612c0fcc24ecffd1a535c8a3e1680bd3 0x32097 g_type_check_instance_cast libgobject-2.0.so.0 -
:905dc4c80f90585201ffe9cb9779e7a53324aa5d 0x1d353 gjs_value_from_g_argument libgjs.so.0 -
:905dc4c80f90585201ffe9cb9779e7a53324aa5d 0x223fa - libgjs.so.0 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5c77 ffi_closure_unix64_inner libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5ff8 ffi_closure_unix64 libffi.so.5 -
:e1ebeb9e6ae02cc288a854d831000ae8ebf9aed5 0x3c575 - libgnome-shell.so -
:5093d5d2c98a98180a8ec97681943fa300b2d096 0x71b3e g_simple_async_result_complete libgio-2.0.so.0 -
:5093d5d2c98a98180a8ec97681943fa300b2d096 0x71bd8 - libgio-2.0.so.0 -
:6ab431f94a2d4b59345a333f12acd8152f48c05e 0x476ac g_main_context_dispatch libglib-2.0.so.0 -
:6ab431f94a2d4b59345a333f12acd8152f48c05e 0x47ac8 - libglib-2.0.so.0 -
:6ab431f94a2d4b59345a333f12acd8152f48c05e 0x47ec2 g_main_loop_run libglib-2.0.so.0 -
:00e78f46e5281b0e93c3ed006ef61f7dba32e290 0x54237 meta_run libmutter.so.0 -
:11781061029a56680cab13cc72a644ee278d015d 0x1c57 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=zoidberg
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:WISECONFIGDIR=/usr/share/wise2/
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/home/gokcen/.cache/keyring-ucu8TS
:IMSETTINGS_MODULE=none
:USER=gokcen
:USERNAME=gokcen
:MAIL=/var/spool/mail/gokcen
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/usr/local/cuda/bin:/home/gokcen/.local/bin:/home/gokcen/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/gokcen
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=841
:LANG=en_US.utf8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:GDM_LANG=en_US.utf8
:LOADEDMODULES=
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/gokcen
:SHLVL=1
:LOGNAME=gokcen
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-OCFYqxqAtk,guid=5cde41f5b44550c04c59f51100000032
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/gokcen
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-gokcen-p2n5oS/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/844,unix/unix:/tmp/.ICE-unix/844
:GPG_AGENT_INFO=/home/gokcen/.cache/keyring-ucu8TS/gpg:0:1
:LC_TIME=tr_TR.utf8
:LC_NUMERIC=tr_TR.utf8
:LC_MONETARY=tr_TR.utf8
:LC_MEASUREMENT=tr_TR.utf8
:DESKTOP_AUTOSTART_ID=10ac2aef40d8d47c69133153466887358000000108940000

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 23818                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       23818                23818                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/gokcen/.xsession-errors
:pos:	77157
:flags:	0102002
:2:/home/gokcen/.xsession-errors
:pos:	77157
:flags:	0102002
:3:pipe:[21702]
:pos:	0
:flags:	04000
:4:pipe:[21702]
:pos:	0
:flags:	01
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[21703]
:pos:	0
:flags:	02004002
:7:socket:[21706]
:pos:	0
:flags:	02004002
:8:/dev/dri/card0
:pos:	0
:flags:	0100002
:9:socket:[21717]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[21719]
:pos:	0
:flags:	02004002
:13:pipe:[21721]
:pos:	0
:flags:	02004000
:14:pipe:[21721]
:pos:	0
:flags:	02004001
:15:socket:[21726]
:pos:	0
:flags:	02004002
:16:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:17:socket:[21729]
:pos:	0
:flags:	02000002
:18:/dev/urandom
:pos:	0
:flags:	02100000
:19:socket:[22068]
:pos:	0
:flags:	02000002
:20:anon_inode:inotify
:pos:	0
:flags:	02004000
:21:/tmp/ffi66YEhO (deleted)
:pos:	0
:flags:	0100002
:22:socket:[21469]
:pos:	0
:flags:	02004002
:23:socket:[22452]
:pos:	0
:flags:	02004002
:24:socket:[23207]
:pos:	0
:flags:	02004002
:25:/dev/rfkill
:pos:	0
:flags:	0104002
:26:socket:[22547]
:pos:	0
:flags:	02004002
:27:socket:[24058]
:pos:	0
:flags:	02004002
:28:pipe:[22422]
:pos:	0
:flags:	01
:29:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:30:socket:[22815]
:pos:	0
:flags:	02004002
:31:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:32:/home/gokcen/.cache/event-sound-cache.tdb.ad93eddb81d26a17f4e5802100000019.x86_64-redhat-linux-gnu
:pos:	168
:flags:	02100002
:33:pipe:[174779]
:pos:	0
:flags:	02004000
:34:pipe:[174779]
:pos:	0
:flags:	02004001
:35:socket:[174782]
:pos:	0
:flags:	02004002
Comment 1 Gökçen Eraslan 2012-03-30 07:26:58 EDT
Created attachment 573963 [details]
File: dso_list
Comment 2 Gökçen Eraslan 2012-03-30 07:27:00 EDT
Created attachment 573964 [details]
File: var_log_messages
Comment 3 Gökçen Eraslan 2012-03-30 07:27:03 EDT
Created attachment 573965 [details]
File: maps
Comment 4 Gökçen Eraslan 2012-03-30 07:27:06 EDT
Created attachment 573966 [details]
File: backtrace
Comment 5 Owen Taylor 2012-04-20 14:16:47 EDT
Think this was fixed upstream prior to 3.4.0, 3.4.1 is now in -updates

Note You need to log in before you can comment on or make changes to this bug.